//////////////////////////////////////////////////////////////////////
// wancfglib.h: declarations of functions exported by wancfglib.dll
//
// Author	:	David Rokhvarg	<davidr@sangoma.com>
//
//////////////////////////////////////////////////////////////////////

#pragma once

#ifdef __cplusplus
 extern "C" {	/* for C++ users */
#endif

#include "wanpipe_api.h"

#ifdef WANCFGLIB_EXPORTS
# define WANCFGLIB_API __declspec(dllexport) __cdecl
#else
# define WANCFGLIB_API __declspec(dllimport) __cdecl
#endif

/* Public functions. */
int WANCFGLIB_API wancfglib_get_hwprobe_str(char *buf, int buf_size, char verbose);
int WANCFGLIB_API wancfglib_port_stop(int wanpipe_number);
int WANCFGLIB_API wancfglib_port_start(int wanpipe_number);
int WANCFGLIB_API wancfglib_get_wanpipe_list_str(char *buf, int buf_size);
int WANCFGLIB_API wancfglib_list_interfaces(int verbose);
int WANCFGLIB_API wancfglib_get_wanpipe_status_str(char *buf, int buf_size);
int WANCFGLIB_API wancfglib_get_wanpipe_instance_info(wanpipe_instance_info_t *wanpipe_info_array, int wanpipe_info_array_length, int *in_card_model);

#ifdef __cplusplus
}	/* for C++ users */
#endif
